function [az,el,radius]=getangles(eyeposition)
%Given the camera location as a three-vector this function returns the
%camera position in matlab polar coordinates (degrees - not radians).

radius=norm(eyeposition);
rel=asin(eyeposition(3)/radius);

if isequal(radius,0)
    raz=0;
    rel=0;
end

if ~isequal(cos(rel),0)
    raz=asin(eyeposition(1)/radius/cos(rel));
    if eyeposition(2)>0
	raz=pi-raz;
    end    
else
    raz=0
end

az=180*raz/pi;
el=180*rel/pi;

%normdir=[cos(rel)*sin(raz) -cos(rel)*cos(raz) sin(rel)];  
