function out=lightcone(X,Y,Z,xbase,ybase,x1,y1,x2,y2,x3,y3,varargin)
%LIGHTCONE(X,Y,Z,xbase,ybase,x1,y1,x2,y2,x3,y3)
%
% Given three intersecting coordinate lines, lightcone produces a
% triangular surface lying on an already existing surface. Do
% help trianglegrid for more info on how this should be done.

% Added material
%default={
%    'trivialmode','off'}
%eval(setvalues)
% End added material

[xmatrix,ymatrix]=trianglegrid(x1,y1,x2,y2,x3,y3);
out=surfonsurf(X,Y,Z,xbase,ybase,xmatrix,ymatrix,varargin{:});


