function [C,map]=rjimread(filename)

a=imread(filename);

if length(size(a))==2
    [C,map]=imread(filename);
    C=double(C);
    if isempty(map)
        disp('RJ:Did not read colormap, trying greyscale')
        vec=linspace(0,1,max(max(C+1)));  %creating a grayscale map
        map=[vec' vec' vec'];             %          '''
    end
else
    disp('RJ:RGB image - may cause Big colormaps - consider using truecolor')
    s=size(a);
    b=permute(a,[3 1 2]);
    m=reshape(b,[3,s(1)*s(2)]);
    map=double(m')/255;
    C=ones(s(1),s(2));               
    C(1:s(1)*s(2))=(1:s(1)*s(2))-1;
end
