function rjxmat2pov(povname,varargin)

default={
    'noshadowlist',[];      %Vector containing handles to objects casting no shadow
    'noreflectionlist',[];  %Vector containing handles to objects casting
                            %no reflection
    'povsplit','on';        %If 'on' then a single file is output. Else
                            %one camera file and one object file. 
    'scalecolor','off';     %Put to 'off' if colors come out wrong.
    'background', 'White'   %Black is often nice when povrayed 
	};
eval(setvalues)

if isequal(povsplit,'on')
    rjmat2pov([povname '_obj.m2p'],'noshadowlist',noshadowlist, ...
	      'noreflectionlist',noreflectionlist,'includecamera','off',...
	      'includegraphics','on','scalecolor',scalecolor);
    
    rjmat2pov([povname '_cam.m2p'],'includecamera','on',...
	      'includegraphics','off','scalecolor',scalecolor,'background',background);
    
else
    rjmat2pov([povname '.m2p'],'noshadowlist',noshadowlist, ...
	      'noreflectionlist',noreflectionlist,'includecamera',includecamera,...
	      'includegraphics',includegraphics,'background',background);	
end
