function out=cut(i,x);
%CUT(i,x)
%  Given a vector x, Cut adds an element corresponding to the decimal
%  index i and removes the part of x that comes after this point.

if i<1
    out=[];
    return
end

if i>=length(x)
    out=x;
    return
end

iint=floor(i);
frac=i-iint;

if frac==0
    out=x(1:iint);
    return
end

xextra=x(iint)*(1-frac)+x(iint+1)*frac;
x=x(1:iint);
x(iint+1)=xextra;
out=x;
