function [duort,dvort]=orthogonalvector(du,dv,guu,guv,gvv)

gmatrix=[guu guv;guv gvv];
levimatrix=[0 -1;1 0];
rootg=sqrt(abs(det(gmatrix)));
vector=[du,dv]';
if isequal(rootg,0)
    %keyboard
    error('Metric has vanishing determinant')
end

ortvector=1/rootg*levimatrix*gmatrix*vector;
duort=ortvector(1);
dvort=ortvector(2);
