function out=putforce(X,Y,Z,xtot,ttot,x,t,tforce,varargin)

default={
    'eyeset',[];     %{az,el,radius}
    'deltax',1;      %The delta-x of the force arrow
    'quality',1;
    'col',[0 1 1];
    'mode',1;
    'epsilon',0.01;
    'width',0.04
    };

eval(setvalues);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

xforce=findvecvalue(tforce,t,x);
xend=xforce+deltax;

thcd={};
for i=1:length(tforce)
    x=linspace(xforce(i),xend(i),floor(10*quality));
    t=tforce(i)+zeros(1,length(x));
    t=rjcyclicboundary(t,ttot);
    thcd{length(thcd)+1}={'surfline',x,t,'col',col,...
		    'epsilon',epsilon,'arrow','curved','width',width};
end

handles=putonsurf(X,Y,Z,xtot,ttot,eyeset,thcd,'mode',mode);
out=handles;
