%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function adds a color to the existing colormap
% and returns the row-index (c) of this color.
% Setting the color matrix (as argument for eg. surf) to 
% this value (c) will yield the desired color without affecting
% the colors of already existing surface objects
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function c=rjadd(farg)

sf=size(farg);
m=colormap;
mny=[m ; farg];
s=size(mny);
c=s(1);
colormap(mny);
if c>1
    caxis([1 c]);
end

c=c-sf(1)+1;






















