function rjproj(handle,image,varargin)

% The default values

default={
    'mode',    1
};

if rem(length(varargin),2)==1,
   error('RJ: Property value pairs expected.')
end  

opt=rjxoptions(default,varargin);
for i=1:size(default,1)
    eval([default{i,1} '=' 'opt{i}' ';'])
end

%%%%%%%% Here starts the real stuff %%%%%%%%%%%%%%%%%%

if length(colormap)>100000
    disp('RJ: consider colormap([]) before run')
end
   
[C,map]=rjimread(image);
c=rjadd(map);
C=C+c;

if mode>4;C=fliplr(C);mode=mode-4;end
if mode==2;C=rot90(C,1);end
if mode==3;C=rot90(C,2);end
if mode==4;C=rot90(C,3);end

if isequal( get(handle,'EdgeColor'),'flat' )
    %disp('RJ:Edgecolor should perhaps not be ''flat'' when projecting. Changing to ''none''')
    set(handle,'EdgeColor','none')
end

set(handle,'CData',C,'FaceColor','texturemap')
caxis([1,size(colormap,1)])
