function out=rjxtext(A,B,C,D,varargin)
% RJXTEXT(x,y,z,'string',Options)
%
% The default values for options:
%     'scale',    1;
%     'offset',   [0 0 0];
%     'mode',     1;

% The default values

default={
    'scale',    1;
    'offset',   [0 0 0];
    'mode',     1;
};

%Modifying the default values according to varargin

opt=rjxoptions(default,varargin);

for i=1:size(default,1)
    eval([default{i,1} '=' 'opt{i}' ';'])
end

%%%%%%% Here starts the real stuff %%%%%%%%%%%%%%%%%%%%%%%

[X Y Z]=rjxset(A,B,C,scale,mode,offset);

out=text(X,Y,Z,D);


